package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * AllTimeVoucherSummaryOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class AllTimeVoucherSummaryOpenApiVo   {
  @JsonProperty("current")
  private Object current;

  @JsonProperty("unused")
  private Object unused;

  @JsonProperty("created")
  private Object created;

  public AllTimeVoucherSummaryOpenApiVo current(Object current) {
    this.current = current;
    return this;
  }

  /**
   * Get current
   * @return current
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getCurrent() {
    return current;
  }

  public void setCurrent(Object current) {
    this.current = current;
  }

  public AllTimeVoucherSummaryOpenApiVo unused(Object unused) {
    this.unused = unused;
    return this;
  }

  /**
   * Get unused
   * @return unused
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getUnused() {
    return unused;
  }

  public void setUnused(Object unused) {
    this.unused = unused;
  }

  public AllTimeVoucherSummaryOpenApiVo created(Object created) {
    this.created = created;
    return this;
  }

  /**
   * Get created
   * @return created
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getCreated() {
    return created;
  }

  public void setCreated(Object created) {
    this.created = created;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AllTimeVoucherSummaryOpenApiVo allTimeVoucherSummaryOpenApiVo = (AllTimeVoucherSummaryOpenApiVo) o;
    return Objects.equals(this.current, allTimeVoucherSummaryOpenApiVo.current) &&
        Objects.equals(this.unused, allTimeVoucherSummaryOpenApiVo.unused) &&
        Objects.equals(this.created, allTimeVoucherSummaryOpenApiVo.created);
  }

  @Override
  public int hashCode() {
    return Objects.hash(current, unused, created);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AllTimeVoucherSummaryOpenApiVo {\n");
    
    sb.append("    current: ").append(toIndentedString(current)).append("\n");
    sb.append("    unused: ").append(toIndentedString(unused)).append("\n");
    sb.append("    created: ").append(toIndentedString(created)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

